<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php'); 
$gar_id = $_GET['id'];
$sqlg = mysqli_query($con,"SELECT * from garantias where gar_id='$gar_id' ");
$reg=mysqli_fetch_array($sqlg)
?>                              
<label>Opciones</label>
<select NAME="formapagoo" id="formapagoo" onChange="pagoOnChange(this)" class="form-control name_list input-sm">
    <option VALUE="nota">Nota Credito</option>
    <option VALUE="cambio">Cambiar Por Otro</option>
    <option VALUE="singarantia">Rechazada</option>
</select>

<div id="nota" style="display:;">
    <form name="form_nota" id="form_nota" method="post" action="">
        <label>Cliente</label>
        <input type="hidden" name="gar_id" id="gar_id" class="form-control" autocomplete="off" value="<?php echo $reg['gar_id']; ?>">
        <input type="hidden" name="clie_id" id="clie_id" class="form-control" autocomplete="off" value="<?php echo $reg['clie_id']; ?>">
        <input type="text" name="gar_nombre" id="gar_nombre" class="form-control" autocomplete="off" value="<?php echo $reg['gar_nombre']; ?>" readonly>
        <label>Precio</label>
        <input type="text" name="gar_precio" id="gar_precio" class="form-control" autocomplete="off" value="<?php echo $reg['gar_precio']; ?>" readonly>
        <label>Observaciones</label>
        <textarea class="form-control input-sm" name="observaciones" id="observaciones" rows="4"  >Se a hecho notacredito por el costo del articulo <?php echo $reg['gar_articulo']; ?> por un valor <?php echo $reg['gar_precio']; ?></textarea>
        <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
            <button name="btn_nota" value="btn_nota" type="submit" class="btn btn-success"><i class="icon-ok"></i> <strong>Aceptar</strong></button>
        </div>
        <input type="hidden" name="nota" id="nota" value="nota">
    </form>
</div>

<div id="cambio" style="display:none;">
    <form name="form_cambio" id="form_cambio" method="post" action="">

         <input type="hidden" name="gar_art_id" id="gar_art_id" class="form-control" autocomplete="off" value="<?php echo $reg['gar_art_id']; ?>" readonly>
          <input type="hidden" name="gar_id" id="gar_id" class="form-control" autocomplete="off" value="<?php echo $reg['gar_id']; ?>">
          <input type="hidden" name="gar_ven_id" id="gar_ven_id" class="form-control" autocomplete="off" value="<?php echo $reg['gar_ven_id']; ?>" readonly>

        <label>Referencia</label>
        <input type="text" name="gar_referencia" id="gar_referencia" class="form-control" autocomplete="off" value="<?php echo $reg['gar_referencia']; ?>" readonly>
       
        <label>Articulo</label>
        <input type="text" name="gar_articulo" id="gar_articulo" class="form-control" autocomplete="off" value="<?php echo $reg['gar_articulo']; ?>" readonly>

        <label>Serial</label>
        <input type="text" name="gar_serie" id="gar_serie" class="form-control" autocomplete="off" value="<?php echo $reg['gar_serie']; ?>" readonly>

        <label>Precio</label>
        <input type="text" name="gar_precio" id="gar_precio" class="form-control" autocomplete="off" value="<?php echo $reg['gar_precio']; ?>" readonly>

        <?php
            $gar_art_id=$reg['gar_art_id'];
            $can1=mysqli_query($con,"SELECT * from seriales_articulos where articulos_art_id='$gar_art_id' and  estado='sin vender'") or die(mysqli_error($con)); 
            $num=mysqli_num_rows($can1);
            if($num>0)
            {
                echo '<label>SERIALES(ES) </label><br>';
                while ($row=mysqli_fetch_array($can1))
            {
        ?>
            <input type="checkbox" id="<?php echo $row['se_codigo']; ?>" name="serial[]" value="<?php echo $row['se_codigo']; ?>" <?php //echo $checked; ?>>
            <label class="lab" for="<?php echo $row['se_codigo']; ?>"><?php echo $row['se_codigo']; ?></label>
        <?php } }
        else
        {
            echo '<label>SERIALES(ES) </label><br>';
            echo '<div class="alert alert-success alert-dismissable">
            <strong>No Tiene Seriales Registrados!</strong>
            </div>'; 
        }
?>
        <label>Observaciones</label>
        <textarea class="form-control input-sm" name="observaciones" id="observaciones" rows="4"  >Se a hecho cambio del articulo <?php echo $reg['gar_articulo']; ?> con un valor <?php echo $reg['gar_precio']; ?> por otro de los mismos</textarea>
        <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
            <button name="btn_cambio" value="btn_cambio" type="submit" class="btn btn-success"><i class="icon-ok"></i> <strong>Aceptar</strong></button>
        </div>
        <input type="hidden" name="cambio" id="cambio" value="cambio">

    </form>
</div>

<div id="singarantia" style="display:none;">
    <form name="form_sin_garantia" id="form_sin_garantia" method="post" action="">
        <input type="hidden" name="gar_id" id="gar_id" class="form-control" autocomplete="off" value="<?php echo $reg['gar_id']; ?>">
        <label>Observaciones</label>
        <textarea class="form-control input-sm" name="observaciones" id="observaciones" rows="4" required ></textarea>
        <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
            <button name="btn_sin_garantia" value="btn_sin_garantia" type="submit" class="btn btn-success"><i class="icon-ok"></i> <strong>Aceptar</strong></button>
        </div>
        <input type="hidden" name="singarantia" id="singarantia" value="singarantia">
    </form>
</div>

                           
<script type="text/javascript">
function pagoOnChange(sel) 
{
    if (sel.value=="nota"){
        divC = document.getElementById("nota");
        divC.style.display = "";
        divT = document.getElementById("cambio");
        divT.style.display = "none";
        divT = document.getElementById("singarantia");
        divT.style.display = "none";
    }
    if (sel.value=="cambio")
    {
        divC = document.getElementById("nota");
        divC.style.display = "none";
        divT = document.getElementById("cambio");
        divT.style.display = "";
        divT = document.getElementById("singarantia");
        divT.style.display = "none";
    }
    if (sel.value=="singarantia")
    {
        divC = document.getElementById("nota");
        divC.style.display="none";
        divT = document.getElementById("cambio");
        divT.style.display = "none";
        divT = document.getElementById("singarantia");
        divT.style.display = "";
    }
}

$("#form_nota" ).submit(function( event ) {
$('#btn_nota').attr("disabled", true);
var parametros = $(this).serialize();
$.ajax({
    type: "POST",
    url: "php_garantias/solucion.php",
    data: parametros,
    beforeSend: function(objeto){
    $('#resul').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
    success: function(datos){
    $("#resul").html(datos);
    $('#btn_nota').attr("disabled", false);
    $('#cambioModal').modal('hide');
    $('body').removeClass('modal-open');
    $('.modal-backdrop').remove();
    load(1);
    }
});
event.preventDefault();
})

$("#form_cambio" ).submit(function( event ) {
$('#btn_cambio').attr("disabled", true);
var parametros = $(this).serialize();
$.ajax({
    type: "POST",
    url: "php_garantias/solucion.php",
    data: parametros,
    beforeSend: function(objeto){
    $('#resul').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
    success: function(datos){
    $("#resul").html(datos);
    $('#btn_cambio').attr("disabled", false);
    $('#cambioModal').modal('hide');
    $('body').removeClass('modal-open');
    $('.modal-backdrop').remove();
    load(1);

    }
});
event.preventDefault();
})


$("#form_sin_garantia" ).submit(function( event ) {
$('#btn_sin_garantia').attr("disabled", true);
var parametros = $(this).serialize();
$.ajax({
    type: "POST",
    url: "php_garantias/solucion.php",
    data: parametros,
    beforeSend: function(objeto){
    $('#resul').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
    success: function(datos){
    $("#resul").html(datos);
    $('#btn_sin_garantia').attr("disabled", false);
    $('#cambioModal').modal('hide');
    $('body').removeClass('modal-open');
    $('.modal-backdrop').remove();
    load(1);

    }
});
event.preventDefault();
})
</script>